UnrealIRCd 4.0.4 + Anope error :Error while loading os_oline: Your IRCd does not support OMODE.

The UnrealIRCd team does not officially provide support for any services packages that you may be using or want to use. This forum is provided so the community can help each other with services issues.

Moderator: Supporters

Post Reply
SpacePirate
Posts: 1
Joined: Tue Jun 28, 2016 10:51 pm

UnrealIRCd 4.0.4 + Anope error :Error while loading os_oline: Your IRCd does not support OMODE.

Post by SpacePirate » Tue Jun 28, 2016 11:02 pm

I've been trying all day to get services up and running. I've managed to come this far, but I cannot get services up, if my life depended on it. Every place I go for help involves InspIRCd and anope, and and none of the UnrealIRCd + anope ones address my particular issue. Everytime I restart anope, I get this error message:

Code: Select all

[Jun 28 18:22:39 2016] SERVER: network.services (Network Services) has connected to the network (uplinked to no uplink)
[Jun 28 18:22:39 2016] Anope 2.0.3 starting up
[Jun 28 18:22:39 2016] Loading modules...
[Jun 28 18:22:39 2016] Error while loading os_oline: Your IRCd does not support OMODE.
[Jun 28 18:22:39 2016] Can not write to PID file data/services.pid
These two lines stand out to me:

Code: Select all

[Jun 28 18:22:39 2016] SERVER: network.services (Network Services) has connected to the network (uplinked to no uplink)

Code: Select all

Error while loading os_oline: Your IRCd does not support OMODE.
What can I do to fix this?

Jellis
Posts: 9
Joined: Tue Nov 29, 2016 4:45 pm

Re: UnrealIRCd 4.0.4 + Anope error :Error while loading os_oline: Your IRCd does not support OMODE.

Post by Jellis » Tue Nov 29, 2016 6:40 pm

Actually, I think the fatal problem in this error log is the pidfile (or data directory) is write protected, could you mv ~/services/data/services.pid services.pid.old and try again? Also make sure the data folder has write permissions, also needed for anope.db (make sure you are in the data folder and try command 'touch testfile') if that also gives a permission denied error there is something wrong with the write permissions for sure of that directory. If you did both of those and do work, make sure that whatever Anope is using as user to run from has also the same permissions as the user you are using to perform those tasks from. Hope this helps.

Jellis
Posts: 9
Joined: Tue Nov 29, 2016 4:45 pm

Re: UnrealIRCd 4.0.4 + Anope error :Error while loading os_oline: Your IRCd does not support OMODE.

Post by Jellis » Tue Nov 29, 2016 6:57 pm

I hope someone corrects me if I'm wrong but in operserv config file (operserv.example.conf) I commented module os_oline to make the error

Code: Select all

Error while loading os_oline: Your IRCd does not support OMODE.
go away out of my Anope services log file. Please correct me if I'm wrong but I think this is because:

A.) UnrealIRCd doesn't support mode OLINE (add IRCOp trough services)
B.) Profile unreal4 is new to Anope and still needs work on their part

Either way, this error does not make the services not connect (like I feel some people are thinking) and can be resolved like this, still hope to get some idea if it is A or B however.

(PS: This is a double post because this error appears in two forum topics.)

Tiny
Posts: 17
Joined: Sun Dec 27, 2015 9:43 pm

Re: UnrealIRCd 4.0.4 + Anope error :Error while loading os_oline: Your IRCd does not support OMODE.

Post by Tiny » Fri Dec 02, 2016 3:45 am

If your still having trouble with this let us know and I will help you guys out :)

Post Reply